Lavalite package that provides quick_loan_with_lowest_interest_rate management facility for the cms.

## Installation

Run the below command form the root folder of lavalite.

```
    composer require "all/quick_loan_with_lowest_interest_rate"
```


## Migration and seeds

```
    php artisan migrate
    php artisan db:seed --class=All\\QuickLoanWithLowestInterestRate\\Seeders\\QuickLoanWithLowestInterestRateTableSeeder
```

## Publishing

* Configuration
```
    php artisan vendor:publish --provider="All\QuickLoanWithLowestInterestRate\Providers\QuickLoanWithLowestInterestRateServiceProvider" --tag="config"
```
* Language
```
    php artisan vendor:publish --provider="All\QuickLoanWithLowestInterestRate\Providers\QuickLoanWithLowestInterestRateServiceProvider" --tag="lang"
```
* Views
```
    php artisan vendor:publish --provider="All\QuickLoanWithLowestInterestRate\Providers\QuickLoanWithLowestInterestRateServiceProvider" --tag="view"
```


## URLs and APIs


### Web Urls

* Admin
```
    http://path-to-route-folder/admin/quick_loan_with_lowest_interest_rate/{modulename}
```

* User
```
    http://path-to-route-folder/user/quick_loan_with_lowest_interest_rate/{modulename}
```

* Public
```
    http://path-to-route-folder/quick_loan_with_lowest_interest_rates
```


### API endpoints

These endpoints can be used with or without `/api/`
And also the user can be varied depend on the type of users, eg user, client, admin etc.

#### Resource

* List
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}
    METHOD: GET
```

* Create
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}
    METHOD: POST
```

* Edit
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/{id}
    METHOD: PUT
```

* Delete
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/{id}
    METHOD: DELETE
```

#### Public

* List
```
    http://path-to-route-folder/api/quick_loan_with_lowest_interest_rate/{modulename}
    METHOD: GET
```

* Single Item
```
    http://path-to-route-folder/api/quick_loan_with_lowest_interest_rate/{modulename}/{slug}
    METHOD: GET
```

#### Others

* Report
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/report/{report}
    METHOD: GET
```

* Export/Import
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/exim/{exim}
    METHOD: POST
```

* Action
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/action/{id}/{action}
    METHOD: PATCH
```

* Actions
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/actions/{action}
    METHOD: PATCH
```

* Workflow
```
    http://path-to-route-folder/api/user/quick_loan_with_lowest_interest_rate/{modulename}/workflow/{id}/{transition}
    METHOD: PATCH
```
